Subject: bug#34616: neovim segfaults

From: Julien Lepiller <[email-masked]>
Date: Fri, 22 Feb 2019 16:13:47 +0100

Le 2019-02-22 16:06, Ricardo Wurmus a écrit :
> Julien Lepiller <[email-masked]> writes:
> 
>> Hi,
>> 
>> I've updated to the latest guix and upgraded my neovim
>> package. Unfortunately, it segfaults:
>> 
>> $ nvim
>> Erreur de segmentation (core dumped)
>> 
>> Here is my current guix:
>> 
>> Génération 34	22 févr. 2019 14:01:39	(actuelle)
>>   guix 28cbf65
>>     URL du dépôt : https://git.savannah.gnu.org/git/guix.git
>>     branche: master
>>     commit : 28cbf65cb944606aafc8b07edd2c521ca58c3127
>> 
>> GUIX_PACKAGE_PATH="/home/tyreunom/nosave/guix-more"
>> 
>> I'm not sure how to debug that, so I'd appreciate some help here :)
> 
> I cannot reproduce this with
> 
>     ./pre-inst-env guix environment --pure --ad-hoc neovim
> 
> on the same commit.
> 
> This is on a foreign distro.

This is where I got neovim from:

téléchargement depuis 
https://berlin.guixsd.org/nar/gzip/d8ibld5vpsgq7is3k3sf5gqj0i7sgmbh-neovim-0.3.4...

and I can reproduce in the pure environment, on guixsd and on a foreign 
distro...
it seems that GUIX_PACKAGE_PATH is irrelevant, since I can reproduce on 
a machine
that's on the same commit, without GUIX_PACKAGE_PATH.

I'm on x86_64.